Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class Base64Decoder

    java.lang.Object
      org.exist.util.Base64Decoder

public final class Base64Decoder
extends java.lang.Object

Base 64 text to byte decoder. To produce the binary array from base 64 encoding call `translate(java.lang.CharSequence)` for each sequence of characters and `getByteArray()` to mark closure of the character stream and retrieve the binary contents.

Author:
  Based on code from the Mozilla Directory SDK

Constructor Summary
`Base64Decoder()`

Method Summary
`byte[]` | `getByteArray()`
`void` | `translate(java.lang.CharSequence str)` Decode the base 64 string into a byte array (which can subsequently be accessed using getByteArray()

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Decoder

    public Base64Decoder()

Method Detail

### translate

    public final void translate(java.lang.CharSequence str)
                         throws java.lang.IllegalArgumentException

  Decode the base 64 string into a byte array (which can subsequently be accessed using getByteArray()

  Parameters:
    `str` - the base 64 string
  Throws:
    `java.lang.IllegalArgumentException` - if the base64 string is incorrectly formatted

### getByteArray

    public byte[] getByteArray()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.